Right now unknown values are completely ignored which is very confusing
and lead to a subset of tests being skipped because of a mispelling.
Signed-off-by: Leonard Crestez <[email protected]>
---
tools/testing/selftests/net/fcnal-test.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 2839bed91afa..43ea5c878a85 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -4005,10 +4005,13 @@ do
# setup namespaces and config, but do not run any tests
setup) setup; exit 0;;
vrf_setup) setup "yes"; exit 0;;
help) echo "Test names: $TESTS"; exit 0;;
+ *)
+ echo "Unknown test '$t'"
+ exit 1
esac
done
cleanup 2>/dev/null
--
2.25.1
On 10/6/21 5:47 AM, Leonard Crestez wrote:
> Right now unknown values are completely ignored which is very confusing
> and lead to a subset of tests being skipped because of a mispelling.
>
> Signed-off-by: Leonard Crestez <[email protected]>
> ---
> tools/testing/selftests/net/fcnal-test.sh | 3 +++
> 1 file changed, 3 insertions(+)
>
Reviewed-by: David Ahern <[email protected]>